> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turncall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Takeaway

> Update a takeaway (name is immutable — it keys results in payloads).



## OpenAPI

````yaml /openapi.json put /v1/takeaways/{takeaway_id}
openapi: 3.1.0
info:
  title: TurnCall
  description: Production voice agent platform API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/takeaways/{takeaway_id}:
    put:
      tags:
        - takeaways
      summary: Update Takeaway
      description: Update a takeaway (name is immutable — it keys results in payloads).
      operationId: update_takeaway_v1_takeaways__takeaway_id__put
      parameters:
        - name: takeaway_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Takeaway Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTakeawayRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Update Takeaway V1 Takeaways  Takeaway Id  Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateTakeawayRequest:
      properties:
        description:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Description
        schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Schema
        prompt:
          anyOf:
            - type: string
              maxLength: 4000
            - type: 'null'
          title: Prompt
        model:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Model
      type: object
      title: UpdateTakeawayRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````